GuideLab API

List shade systems

Retrieve shade systems and their stable values for the requested lab.

GET
/shade-systems

Retrieve shade systems and their stable values for the requested lab.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

includeInactive?string
defaultOnly?string
labId?string

Response Body

application/json

curl -X GET "https://example.com/shade-systems"
{  "data": [    {      "id": "string",      "labId": "string",      "name": "string",      "description": "string",      "isDefault": true,      "isActive": true,      "sortOrder": 0,      "values": [        {          "id": "string",          "code": "string",          "label": "string",          "sortOrder": 0,          "isActive": true,          "images": {            "occlusal": "string",            "middle": "string",            "gingival": "string"          }        }      ],      "createdAt": "string",      "updatedAt": "string"    }  ]}
Empty
Empty
Empty
Empty